export declare type UnionToIntersection<U> = (U extends any ? (k: U) => void : never) extends (k: infer I) => void ? I : never;
export declare type ObjectKeys<T> = {
    [K in keyof T]: T[K] extends Record<string, any> ? K : never;
}[keyof T];
export declare type ObjectFields<T> = UnionToIntersection<T[ObjectKeys<T>]>;
export declare type DoubleObjectKeys<T> = keyof ObjectFields<T>;
export declare type TripleObjectKeys<T> = keyof ObjectFields<ObjectFields<T>>;
export declare type QuadObjectKeys<T> = keyof ObjectFields<ObjectFields<ObjectFields<T>>>;
export declare type QuinObjectKeys<T> = keyof ObjectFields<ObjectFields<ObjectFields<ObjectFields<T>>>>;
export declare type DeepFields<T> = keyof T | DoubleObjectKeys<T> | TripleObjectKeys<T> | QuadObjectKeys<T> | QuinObjectKeys<T>;
