/**
 * Ensure that a value is a collection.
 *
 * @param collection A value that might be a collection.
 */
export declare function getCollection<T extends any>(collection: T[] | null | undefined): T[];
/**
 * Ensure that a value is a collection that has items in it.
 *
 * @param collection A value that might be a collection with items in it.
 */
export declare function hasItems<T extends any>(collection: T[] | null | undefined): collection is T[];
