import { ICreatedDateDoc, SortDirection } from 'bf-types';
/**
 * Generate a function to sort string values.
 *
 * @param dir The sort direction.
 */
export declare function stringSorter(dir: SortDirection): (l: string, r: string) => number;
/**
 * Generate a function used to sort objects with a particular string field.
 *
 * @param field The name of a property on the type being sorted.
 * @param dir The sort direction.
 */
export declare function stringFieldSorter<T extends Record<string, any>>(field: keyof T, dir: SortDirection): (l: T, r: T) => number;
/**
 * Sort a collection of objects by the value of their created date field.
 *
 * @param dir The sort direction. Defaults to SortDirection.DESC.
 */
export declare function sortByCreatedDate<T extends ICreatedDateDoc>(dir?: SortDirection): (l: T, r: T) => number;
