import { Auth, hasPermissions } from './auth';
import { ClientConfig, ClientType, NexusConfig } from './common';
import { ExternalModuleEntity, InsertData, ModuleEntity } from './module/Types';
import { ClientAuth, InitSettings, SystemInstance } from './system';
import { Api } from './api';
import { Module } from './module';
import { Multitool } from './multitool';
export { Api, Auth, Module, ClientType, ClientAuth, ClientConfig, NexusConfig, SystemInstance, InsertData, ModuleEntity, ExternalModuleEntity, hasPermissions, };
export declare type ConfigSettings = InitSettings;
export interface BfLib {
    api: Api;
    auth: Auth;
    module: Module;
    multitool: Multitool;
    protected: (impersonate: InitSettings['impersonate']) => Promise<BfLib>;
}
export default function bflib(settings: ConfigSettings): Promise<BfLib>;
